-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local severity = ProcessingFlow[1].Destination.smtpSendSeverity
if not severity then
    return 0
end
if severity == 0 or severity & (1 << 0) ~= 0 then
    return 1
elseif severity & (1 << 1) ~= 0 then
    return 2
elseif severity & (1 << 2) ~= 0 then
    return 3
elseif severity & (1 << 3) ~= 0 then
    return 4
end
return 0
